Bug 1558155 - Limit ranges are being applied with cpu-cfs-quota set to false [NEEDINFO]
Summary: Limit ranges are being applied with cpu-cfs-quota set to false
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 3.9.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.9.z
Assignee: Seth Jennings
QA Contact: DeShuai Ma
URL:
Whiteboard:
Depends On: 1554471 1558157
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-19 17:50 UTC by Derek Carr
Modified: 2018-05-17 14:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fixes an issue on the node where setting disabling cpu-cfs-quota did not prevent cpu cfs limits from being set on pods when cgroups-per-qos was enabled.
Clone Of: 1554471
Environment:
Last Closed: 2018-05-17 06:42:42 UTC
Target Upstream Version:
tibrahim: needinfo? (dma)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1566 None None None 2018-05-17 06:43:12 UTC

Comment 1 Seth Jennings 2018-04-10 03:37:18 UTC
This was picked by the bot:
https://github.com/openshift/ose/commit/59f6168a8805c72804ec697739529d76aa81009b

Comment 3 DeShuai Ma 2018-04-17 09:28:53 UTC
Verify on ocp v3.9.20

Steps to verify:
Set cpu-cfs-quota=true in /etc/origin/node/node-config.yaml
kubeletArguments:
  cpu-cfs-quota:
  - 'true'
//Case 1 (cpu-cfs-quota=true + without limits)
1. Create a pod without limits
2. rsh into pod run 'dd if=/dev/zero of=/dev/null'
3. In another terminal rsh into pod and run 'while true; do sleep 4; ps aux|grep dd ; done' The cpu usage is about 99% for one core
sh-4.2# while true; do sleep 4; ps aux|grep dd ; done
root         19 98.0  0.0   4348   344 ?        R+   08:59   0:24 dd if=/dev/zero of=/dev/null
4. The the host which the pod running, using `htop` to watch the cpu usage. one of the four cpu core usage is about 99%

//Case 2 (cpu-cfs-quota=true + with limits)
1. Create a pod with limits.cpu=500m
2. rsh into pod run 'dd if=/dev/zero of=/dev/null'
3. In another terminal rsh into pod and run 'while true; do sleep 4; ps aux|grep dd ; done' The cpu usage is about 50% for one core
4. The the host which the pod running, using `htop` to watch the cpu usage. one of the four cpu core usage is about 50%


//Case 3 (cpu-cfs-quota=false + without limits)
1. Create a pod without limits.cpu=500m
2. rsh into pod run 'dd if=/dev/zero of=/dev/null'
3. In another terminal rsh into pod and run 'while true; do sleep 4; ps aux|grep dd ; done' The cpu usage is about 99% for one core
4. The the host which the pod running, using `htop` to watch the cpu usage. one of the four cpu core usage is about 99%

//Case 4 (cpu-cfs-quota=false + with limits)
1. Create a pod without limits
2. rsh into pod run 'dd if=/dev/zero of=/dev/null'
3. In another terminal rsh into pod and run 'while true; do sleep 4; ps aux|grep dd ; done' The cpu usage is about 99% for one core.
4. The the host which the pod running, using `htop` to watch the cpu usage. one of the four cpu core usage is about 99%.

Comment 5 DeShuai Ma 2018-04-20 00:58:38 UTC
In comment 3, we have verified the bug.

Comment 8 errata-xmlrpc 2018-05-17 06:42:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1566


Note You need to log in before you can comment on or make changes to this bug.